<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Google Signin</title>

    <meta name="google-signin-client_id" content="1066035924002-tqarcsi7psatokdd07dv3iepqfesko54.apps.googleusercontent.com">
</head>
<body>

    <h1>Google Signin</h1>
    <hr>
    <div class="g-signin2" data-onsuccess="onSignIn"></div>
    

    <script src="https://apis.google.com/js/platform.js" async defer></script>

    <a href="#" onclick="signOut();">Sign out</a>

    <script>

       var url = ( window.location.hostname.includes('localhost') ) 
                    ? 'http://localhost:8080/api/auth/google' 
                    : 'https://restserver-curso-lehl.herokuapp.com/api/auth/google';
                    

        function onSignIn(googleUser) {
            var profile = googleUser.getBasicProfile();
            console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
            console.log('Name: ' + profile.getName());
            console.log('Image URL: ' + profile.getImageUrl());
            console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.

            var id_token = googleUser.getAuthResponse().id_token;
            const data = { id_token }

            fetch(url, {
                method: 'POST',
                headers: {'Content-Type': 'application/json'},
                body: JSON.stringify( data )
            })
            .then( res => res.json() )
            .then( data => console.log( 'Nuestro server', data ))
            .catch( console.log )
        }

        function signOut() {
            var auth2 = gapi.auth2.getAuthInstance();
            auth2.signOut().then(function () {
            console.log('User signed out.');
            });
        }

    </script>
</body>
</html>